#!/usr/bin/env bash

INPUT=`find ../../src -type f -name *.cpp`

xgettext -C --from-code=UTF-8 --msgid-bugs-address=arch_dvx@users.sourceforge.net --package-name=dxtime\
    --package-version=1.2.2 --copyright-holder="David Vachulka" --keyword=_ --keyword=N_ --keyword=_n:1,2\
    -o dxtime.pot $INPUT

for i in *.po
do
  echo "Updating $i ..."
  msgmerge --update --backup=off $i dxtime.pot
done
