/***************************************************************
 * Name:      sqlitesql.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef SQLITESQL_H
#define SQLITESQL_H

static const char * tb_version[] = {
    //database version
    "CREATE TABLE version (verze TEXT)",
    "INSERT INTO version (verze) VALUES ('1.2')",
    NULL
};

static const char * tb_task[] = {
    //tasks table
    //tree example: ".-1.1.5"
    "CREATE TABLE task (id INTEGER PRIMARY KEY AUTOINCREMENT, name TEXT, description TEXT, tree TEXT NOT NULL)",
    NULL
};

static const char * tb_time[] = {
    //time table
    "CREATE TABLE time (id INTEGER PRIMARY KEY AUTOINCREMENT, start TEXT NOT NULL, end TEXT  NOT NULL,\
        taskid INTEGER NOT NULL,\
        FOREIGN KEY(taskid) REFERENCES task(id) ON UPDATE CASCADE ON DELETE CASCADE)",
    NULL
};

#endif  /* SQLITESQL_H */
