/***************************************************************
 * Name:      dxicons.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2020
 * License:   GPL3
 **************************************************************/

#ifndef DXICONS_H
#define DXICONS_H

wxIcon makeIcon(const wxString &path, const wxString &name);
wxIcon makeGreyedIcon(const wxString &path, const wxString &name);
wxIcon makeScaledIcon(const wxString& path, int max=16);
void makeAllIcons(const wxString &path);

extern wxIcon ICO_ICON;
extern wxIcon ICO_TRAY;
extern wxIcon ICO_ABOUT;
extern wxIcon ICO_ADD;
extern wxIcon ICO_GADD;
extern wxIcon ICO_EDIT;
extern wxIcon ICO_GEDIT;
extern wxIcon ICO_DELETE;
extern wxIcon ICO_GDELETE;
extern wxIcon ICO_TPLAY;
extern wxIcon ICO_PLAY;
extern wxIcon ICO_GPLAY;
extern wxIcon ICO_PAUSE;
extern wxIcon ICO_GPAUSE;
extern wxIcon ICO_ASC;
extern wxIcon ICO_DESC;

#endif // DXICONS_H
