/***************************************************************
 * Name:      dxutils.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef DXUTILS_H
#define DXUTILS_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class dxutils
{
public:
    dxutils();

    static dxutils &instance();
    static wxString enquotes(const wxString &text, const wxString &delim);
    static void correctEmptyFileExt(const wxString &ext, wxString &fileName);
    static int numberOfChar(wxUniChar ch, const wxString &text);
    static bool hasString(wxArrayString &strings, wxString value);
};

#endif // DXUTILS_H
